#!/usr/bin/env bash
set -ev

test $DARCS || DARCS=$PWD/../darcs

rm -rf temp
mkdir temp
echo temp
cd temp
set -e
$DARCS initialize
echo text > afile.txt
$DARCS add afile.txt
$DARCS record --author me --all --no-test --patch-name init
$DARCS diff
$DARCS diff -p . --store > diffinmem
$DARCS diff -p . > diffondisk

diff diffinmem diffondisk

rm -rf temp
